Search for url

  1. Search 7.x for url
  2. Search 9.5.x for url
  3. Search 8.9.x for url
  4. Search 10.3.x for url
  5. Search 11.x for url
  6. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Url class core/modules/views/src/Plugin/views/field/Url.php Field handler to provide a renderer that turns a URL into a clickable link.
Url class core/lib/Drupal/Core/Render/Element/Url.php Provides a form element for input of a URL.
Url class core/lib/Drupal/Core/Url.php Defines an object that holds information about a URL.

All search results

Title Object type File name Summary
RssResponseRelativeUrlFilterTest::testOnResponse function core/tests/Drupal/Tests/Core/EventSubscriber/RssResponseRelativeUrlFilterTest.php Tests on response.
SearchInterface::buildSearchUrlQuery function core/modules/search/src/Plugin/SearchInterface.php Builds the URL GET query parameters array for search.
SearchNode::buildSearchUrlQuery function core/modules/search/modules/search_node/src/Plugin/Search/SearchNode.php Builds the URL GET query parameters array for search.
SearchPluginBase::buildSearchUrlQuery function core/modules/search/src/Plugin/SearchPluginBase.php Builds the URL GET query parameters array for search.
SectionStorageInterface::getLayoutBuilderUrl function core/modules/layout_builder/src/SectionStorageInterface.php Gets the URL used to display the Layout Builder UI.
SectionStorageInterface::getRedirectUrl function core/modules/layout_builder/src/SectionStorageInterface.php Gets the URL used when redirecting away from the Layout Builder UI.
SecuredRedirectResponse::setTargetUrl function core/lib/Drupal/Component/HttpFoundation/SecuredRedirectResponse.php
SecurityAdvisory::$url property core/modules/system/src/SecurityAdvisories/SecurityAdvisory.php The URL to the advisory.
SecurityAdvisory::getUrl function core/modules/system/src/SecurityAdvisories/SecurityAdvisory.php Gets the URL to the security advisory.
ServerCommand::getOneTimeLoginUrl function core/lib/Drupal/Core/Command/ServerCommand.php Gets a one time login URL for user 1.
SessionHttpsTest::httpsUrl function core/modules/system/tests/src/Functional/Session/SessionHttpsTest.php Builds a URL for submitting a mock HTTPS request to HTTP test environments.
SessionHttpsTest::httpUrl function core/modules/system/tests/src/Functional/Session/SessionHttpsTest.php Builds a URL for submitting a mock HTTP request to HTTPS test environments.
SetBrowserUrl class core/modules/views/src/Ajax/SetBrowserUrl.php AJAX command that sets the browser URL without refreshing the page.
SetBrowserUrl.php file core/modules/views/src/Ajax/SetBrowserUrl.php
SetBrowserUrl::render function core/modules/views/src/Ajax/SetBrowserUrl.php Return an array to be run through json_encode and sent to the client.
SetBrowserUrl::__construct function core/modules/views/src/Ajax/SetBrowserUrl.php Constructs a new command instance.
SetFormCommand::$url property core/modules/views_ui/src/Ajax/SetFormCommand.php The URL of the form.
Shortcut::getUrl function core/modules/shortcut/src/Entity/Shortcut.php Returns the URL object pointing to the configured route.
ShortcutDeleteForm::getCancelUrl function core/modules/shortcut/src/Form/ShortcutDeleteForm.php Returns the route to go to if the user cancels the action.
ShortcutDeleteForm::getRedirectUrl function core/modules/shortcut/src/Form/ShortcutDeleteForm.php Returns the URL where the user should be redirected after deletion.
ShortcutInterface::getUrl function core/modules/shortcut/src/ShortcutInterface.php Returns the URL object pointing to the configured route.
SimpleConfigSectionStorage::getLayoutBuilderUrl function core/modules/layout_builder/tests/modules/layout_builder_test/src/Plugin/SectionStorage/SimpleConfigSectionStorage.php Gets the URL used to display the Layout Builder UI.
SimpleConfigSectionStorage::getRedirectUrl function core/modules/layout_builder/tests/modules/layout_builder_test/src/Plugin/SectionStorage/SimpleConfigSectionStorage.php Gets the URL used when redirecting away from the Layout Builder UI.
StatusCommandTest::testWithUrl function core/modules/system/tests/src/Kernel/Command/StatusCommandTest.php Tests the example:command with the --url option forced into argv.
StreamWrapperInterface::getExternalUrl function core/lib/Drupal/Core/StreamWrapper/StreamWrapperInterface.php Returns a web accessible URL for the resource.
StringFormatter::getEntityUrl function core/lib/Drupal/Core/Field/Plugin/Field/FieldFormatter/StringFormatter.php Gets the URI elements of the entity.
SwitchToLiveForm::getCancelUrl function core/modules/workspaces_ui/src/Form/SwitchToLiveForm.php Returns the route to go to if the user cancels the action.
TemporaryStream::getExternalUrl function core/lib/Drupal/Core/StreamWrapper/TemporaryStream.php Returns a web accessible URL for the resource.
TermAutocompleteTest::$autocompleteUrl property core/modules/taxonomy/tests/src/Functional/TermAutocompleteTest.php The autocomplete URL to call.
TermDeleteForm::getCancelUrl function core/modules/taxonomy/src/Form/TermDeleteForm.php Returns the route to go to if the user cancels the action.
TermDeleteForm::getRedirectUrl function core/modules/taxonomy/src/Form/TermDeleteForm.php Returns the URL where the user should be redirected after deletion.
TestActionConfirmForm::getCancelUrl function core/modules/views/tests/modules/action_bulk_test/src/Form/TestActionConfirmForm.php Returns the route to go to if the user cancels the action.
TestSiteInstallCommand::$baseUrl property core/tests/Drupal/TestSite/Commands/TestSiteInstallCommand.php The base URL.
TestStateBasedSectionStorage::getLayoutBuilderUrl function core/modules/layout_builder/tests/modules/layout_builder_test/src/Plugin/SectionStorage/TestStateBasedSectionStorage.php Gets the URL used to display the Layout Builder UI.
TestStateBasedSectionStorage::getRedirectUrl function core/modules/layout_builder/tests/modules/layout_builder_test/src/Plugin/SectionStorage/TestStateBasedSectionStorage.php Gets the URL used when redirecting away from the Layout Builder UI.
TestUrl class core/tests/Drupal/Tests/Core/UrlTest.php URL information holder with overridden access manager for testing.
TestUrl::setAccessManager function core/tests/Drupal/Tests/Core/UrlTest.php Sets the access manager.
ThemeExperimentalConfirmForm::getCancelUrl function core/modules/system/src/Form/ThemeExperimentalConfirmForm.php Returns the route to go to if the user cancels the action.
ThemeUninstallConfirmForm::getCancelUrl function core/modules/system/src/Form/ThemeUninstallConfirmForm.php Returns the route to go to if the user cancels the action.
TranslationsStream::getExternalUrl function core/modules/locale/src/StreamWrapper/TranslationsStream.php phpcs:ignore Drupal.Files.LineLength
Implements Drupal\Core\StreamWrapper\StreamWrapperInterface::getExternalUrl().
TrustedRedirectResponse::$trustedUrls property core/lib/Drupal/Core/Routing/TrustedRedirectResponse.php A list of trusted URLs, which are safe to redirect to.
TrustedRedirectResponse::setTrustedTargetUrl function core/lib/Drupal/Core/Routing/TrustedRedirectResponse.php Sets the target URL to a trusted URL.
TrustedRedirectResponseTest::testSetTargetUrlWithInternalUrl function core/tests/Drupal/Tests/Core/Routing/TrustedRedirectResponseTest.php Tests set target url with internal url.
TrustedRedirectResponseTest::testSetTargetUrlWithTrustedUrl function core/tests/Drupal/Tests/Core/Routing/TrustedRedirectResponseTest.php Tests set target url with trusted url.
TrustedRedirectResponseTest::testSetTargetUrlWithUntrustedUrl function core/tests/Drupal/Tests/Core/Routing/TrustedRedirectResponseTest.php Tests set target url with untrusted url.
TwigExtension::$fileUrlGenerator property core/lib/Drupal/Core/Template/TwigExtension.php The file URL generator.
TwigExtension::$urlGenerator property core/lib/Drupal/Core/Template/TwigExtension.php The URL generator.
TwigExtension::getFileUrl function core/lib/Drupal/Core/Template/TwigExtension.php Gets the file URL.
TwigExtension::getUrl function core/lib/Drupal/Core/Template/TwigExtension.php Generates an absolute URL given a route name and parameters.
TwigExtension::isUrlGenerationSafe function core/lib/Drupal/Core/Template/TwigExtension.php Determines at compile time whether the generated URL will be safe.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.